/*
 * Copyright (C) 2014  INRIA.
 *
 * This file is subject to the terms and conditions of the GNU Lesser
 * General Public License v2.1. See the file LICENSE in the top level
 * directory for more details.
 */

/**
 * @ingroup net_sixlowpan
 * @{
 * @file    ipv6.h
 * @brief   IPv6 and ICMP functions
 *
 *          Wraps all API types, constants and functions of
 *          6LoWPAN in layer 3.
 *
 * @author  Martin Lenders <mlenders@inf.fu-berlin.de>
 */
#ifndef IPV6_H
#define IPV6_H

#include "sixlowpan/error.h"
#include "sixlowpan/types.h"
#include "sixlowpan/ip.h"
#include "sixlowpan/icmp.h"
#include "sixlowpan/ndp.h"

#include "../network_layer/sixlowpan/icmp.h"        /* TODO: remove if not needed anymore */

#ifdef __cplusplus
extern "C" {
#endif

#ifdef __cplusplus
}
#endif

#endif /* IPV6_H */
/**
 * @}
 */
